Bug 251588 - Duplicate group in /etc/group
Summary: Duplicate group in /etc/group
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 21:31 UTC by ray hammond
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.2.64-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 03:20:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ray hammond 2007-08-09 21:31:23 UTC
Description of problem:
Using the properties dialog it is possible to override an existing group when
modifying the name of a different group.

Version-Release number of selected component (if applicable):
1.2.60

How reproducible:
Every time

Steps to Reproduce:
1.As a none root user open the system-config-user utility - enter root password
when prompted.
2.Select the group tab, select any none group excluding root from the list, in
my case the group is called ray.
3.Click the properties button.
4.Alter the group name field to root and press ok.

  
Actual results:
The group gets renamed to root.  Additionally if you inspect /etc/group you will
see that it now contains two entries for root.  Each entry in /etc/group has
been assigned the group id of the selected group (in step 2).  

Expected results:
The utility should inform the user that the name is already being used and force
them to select a unique name.  

Additional info:
The create group function already checks for the existence of an existing group
with the same name.

Comment 1 Nils Philippsen 2007-08-10 09:03:52 UTC
I've fixed this in the upstream repository. I need to fix some other things
before I can package a new version though.

Comment 2 Fedora Update System 2007-08-17 16:12:40 UTC
system-config-users-1.2.64-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-09-18 03:20:20 UTC
system-config-users-1.2.64-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.